complexType "VarianceOptionTransactionSupplement"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-variance-swaps-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | primaryAssetClass?, secondaryAssetClass*, productType*, productId*, optionType, equityPremium?, equityExercise?, (optionEntitlement? | multiplier?)?, varianceSwapTransactionSupplement
</...>

Content Model Elements (10):

  equityExercise (in varianceOptionTransactionSupplement),
  equityPremium (in varianceOptionTransactionSupplement),
  multiplier (in varianceOptionTransactionSupplement),
  optionEntitlement (in varianceOptionTransactionSupplement),
  optionType (defined in OptionBase complexType),
  primaryAssetClass,
  productId,
  productType,
  secondaryAssetClass,
  varianceSwapTransactionSupplement (in varianceOptionTransactionSupplement)

All Direct / Indirect Based Elements (1):

  varianceOptionTransactionSupplement

Known Usage Locations

- As direct type of elements (1):
  varianceOptionTransactionSupplement

Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) OptionBase (extension) VarianceOptionTransactionSupplement

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="VarianceOptionTransactionSupplement"> <xsd:complexContent> <xsd:extension base="OptionBase"> <xsd:sequence> <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"/> <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"/> <!--View Generation: SKIPPED exchangeLookAlike - Documentation--> <!--View Generation: SKIPPED methodOfAdjustment - Documentation--> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="multiplier" type="PositiveDecimal"/> </xsd:choice> <xsd:element name="varianceSwapTransactionSupplement" type="LimitedVarianceSwapTransactionSupplement"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/10)
equityExercise

  Type: | EquityExerciseValuationSettlement, complex content

  The parameters for defining how the equity option can be exercised, how it is valued and how it is settled.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"/>

equityPremium

  Type: | EquityPremium, complex content

  The variance option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"/>

multiplier

  Type: | PositiveDecimal, simple content

  Specifies the contract multiplier that can be associated with an index option.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multiplier" type="PositiveDecimal"/>

optionEntitlement

  Type: | PositiveDecimal, simple content

  The number of shares per option comprised in the option transaction supplement.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"/>

varianceSwapTransactionSupplement

  Type: | LimitedVarianceSwapTransactionSupplement, complex content

  The variance swap details.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="varianceSwapTransactionSupplement" type="LimitedVarianceSwapTransactionSupplement"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.